
/*
 * $Id: CltOpts.h,v 1.10 1999/09/07 17:46:49 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef CLT_OPTS
#define CLT_OPTS

#include "opts.h"
#include "WorldOpts.h"

// client options
class CltOpts: public OptGrp {
	public:
		CltOpts(); // defaults

		virtual bool validate() const;

	public:
		NetAddrOpt thePxyAddr;

		WorldOpts theWorld;

		TwoIntOpt thePorts;

		BoolOpt ignoreFalseHits;
		BoolOpt printFalseMisses;
};

extern CltOpts TheCltOpts;

#endif
