
/*
 * $Id: Oid.h,v 1.6 1999/09/07 17:47:10 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PG_OID_RECORD_CLASS_H
#define PG_OID_RECORD_CLASS_H

// storage for oid properties
struct OidRec {
	int oid;

	bool repeat;    // was requested before
	bool cachable;  // reply is cachable
	bool hit;       // second-hand reply

	OidRec() { reset(); }
	void reset() { oid = -1; repeat = cachable = hit = false; }
};

#endif
