
/*
 * $Id: getIfAddrs.h,v 1.2 1999/09/07 17:48:48 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef XSTD_GET_INTERFACE_ADDRESSES_H
#define XSTD_GET_INTERFACE_ADDRESSES_H

#include "Array.h"
#include "Socket.h"

// retreives a list of all interface addresses using SIOCGIFCONF
extern bool GetIfAddrs(Array<in_addr> &addrs);

#endif
